# Component

class HPS.Component : HPS.Sprocket

  Subclassed by HPS.CADModel, HPS.Capture, HPS.DWG.Component, HPS.Exchange.Component, HPS.Filter, HPS.Parasolid.Component

  Public Types

  enum ComponentType

    Values:

    None
    GenericMask
    ExchangeComponentMask
    ExchangeModelFile
    ExchangeProductOccurrence
    ExchangePartDefinition
    ExchangeView
    ExchangeFilter
    ExchangeRepresentationItemMask
    ExchangeRIBRepModel
    ExchangeRICurve
    ExchangeRIDirection
    ExchangeRIPlane
    ExchangeRIPointSet
    ExchangeRIPolyBRepModel
    ExchangeRIPolyWire
    ExchangeRISet
    ExchangeRICoordinateSystem
    ExchangeTopologyMask
    ExchangeTopoBody
    ExchangeTopoConnex
    ExchangeTopoShell
    ExchangeTopoFace
    ExchangeTopoLoop
    ExchangeTopoCoEdge
    ExchangeTopoEdge
    ExchangeTopoVertex
    ExchangeTopoSingleWireBody
    ExchangeTopoWireEdge
    ExchangeDrawingMask
    ExchangeDrawingModel
    ExchangeDrawingView
    ExchangeDrawingSheet
    ExchangeBasicDrawingBlock
    ExchangeOperatorDrawingBlock
    ExchangePMIMask
    ExchangePMI
    ExchangePMIText
    ExchangePMIRichText
    ExchangePMIRoughness
    ExchangePMIGDT
    ExchangePMIDatum
    ExchangePMILineWelding
    ExchangePMISpotWelding
    ExchangePMIDimension
    ExchangePMIBalloon
    ExchangePMICoordinate
    ExchangePMIFastener
    ExchangePMILocator
    ExchangePMIMeasurementPoint
    ParasolidComponentMask
    ParasolidModelFile
    ParasolidAssembly
    ParasolidInstance
    ParasolidTopologyMask
    ParasolidTopoBody
    ParasolidTopoRegion
    ParasolidTopoShell
    ParasolidTopoFace
    ParasolidTopoLoop
    ParasolidTopoFin
    ParasolidTopoEdge
    ParasolidTopoVertex
    DWGComponentMask
    DWGModelFile
    DWGLayout
    DWGBlockTable
    DWGBlockTableRecord
    DWGEntity
    DWGLayerTable
    DWGLayer
    UserComponent
  enum DeleteMode

    Values:

    Standard
    Full
    StandardAndExchange

  Public Functions

  void AddKey (HPS.Key in_key)
  void AddOwner (HPS.Component in_owner)
  void AddOwner (HPS.Component in_owner, HPS.IncludeKey in_include)
  void AddReference (HPS.Component in_reference)
  bool AddTransform (HPS.MatrixKit in_transform)
  void Assign (HPS.Component in_that)
  Component ()
  Component (HPS.Component in_that)
  HPS.Component CopyTo (HPS.Component in_new_owner)
  void Delete ()
  void Delete (HPS.Component.DeleteMode mode)
  override void Dispose ()
  bool Equals (HPS.Component in_that)
  override bool Equals (Object obj)
  void Flush ()
  HPS.Metadata[] GetAllMetadata ()
  HPS.Component[] GetAllSubcomponents (HPS.Component.ComponentType in_type)
  HPS.Component.ComponentType GetComponentType ()
  override int GetHashCode ()
  HPS.Key[] GetKeys ()
  HPS.Metadata GetMetadata (string in_name)
  string GetName ()
  HPS.Component[] GetOwners ()
  HPS.Component[] GetReferences ()
  HPS.Component[] GetReferrers ()
  HPS.Component[] GetSubcomponents ()
  bool HasComponentType (HPS.Component.ComponentType in_mask)
  override HPS.Type ObjectType ()
  bool SetName (string in_new_name)
  bool SetTransform (HPS.MatrixKit in_transform)

  Public Static Functions

  HPS.KeyPath[] GetKeyPath (HPS.Component in_component)
  HPS.KeyPath[] GetKeyPath (HPS.Component[] in_components)
  bool operator!= (HPS.Component a, HPS.Component b)
  bool operator== (HPS.Component a, HPS.Component b)

Hello I'm HOOPSY!

HOOPSY BETA

Hello I am HOOPSY! your Docs generative AI assistant.

Ask me anything about HOOPS Visualize HPS or choose a sample question below to start a conversation:

Additional info

HOOPSY may store chats to provide and maintain the service according to OpenAI's data policy.

This feature is currently experimental. While we are continually enhancing its performance and quality, the underlying AI model may generate inaccurate or fabricated responses, especially if prompted to do so.

New Conversation
Continue generating